{% extends "base.html.twig" %}

{% block content %}
<main>
    <header class="flex items-center justify-center bg-primary h-mid-full">
		<h1 class="text-6xl text-center text-white">{{ content.title }}</h1>
	</header>

    <article class="container flex flex-col items-center justify-center -mt-24">
        {% set image = content.headerImage %}

        {# @see https://github.com/sulu/web-twig/blob/v2.4.0/docs/image.md #}
        {{ get_image(image, {
            src: '850x400',
            class: 'rounded shadow-lg'
        }) }}

        <aside class="flex flex-col items-center justify-center mt-4">
            {% if content.projectUrl %}
                <a class="mb-4 link-underline" href="{{ content.projectUrl }}" target="_blank" rel="noopener">Voir le site</a>
            {% endif %}

            <div class="flex flex-col flex-wrap space-y-2 md:flex-row md:space-x-2 md:space-y-0">
                <span>Technologies utilisées :</span>
                {% for category in extension.excerpt.categories %}
                    <span class="inline-block px-3 py-1 text-sm font-semibold text-center text-gray-700 bg-gray-200 rounded-full md:text-left">{{ category.name }}</span>
                {% endfor %}
            </div>
        </aside>

        <div class="w-full mt-8 content">
            {% include "includes/blocks.html.twig" %}
        </div>

        <aside class="my-4">
            <a class="link-underline" href="{{ sulu_content_path('/projets') }}">Revenir aux projets</a>
        </aside>
    </article>
</main>
{% endblock %}
